Subject: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: No Wayman <[email-masked]>
Date: Mon, 06 Mar 2023 12:20:21 -0500

Eli Zaretskii <[email-masked]> writes:

> That's not the same check

I'm aware. That's why I chose "similar" over "same".

> I'm not sure we should do anything here: after all, the error 
> message
> tells what's wrong quite clearly.

If it's the caller's responsibility to ensure a subprocess is 
invoked from an existing directory, fair enough.
This is one such case where that is not guaranteed, though.
I've seen similar errors pop up in other packages.
It would probably be better to offer a way to ensure the 
subprocess is run in an existing directory in general.
Is there an elisp idiom for such cases? e.g.

>(let ((default-directory (guaranteed-to-exist-directory)))
>  ;; start subprocess
> )